# -*- coding: UTF-8 -*-
from setuphelpers import *

def update_package():
    print("Download/Update package content from upstream binary sources")

    # Initializing variables
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    latest = wget(
        "https://www.googleapis.com/download/storage/v1/b/chromium-browser-snapshots/o/Win%2FLAST_CHANGE?alt=media", "latest.txt", proxies=proxies
    )
    latest_file = open(latest, "r")
    latest_commit = latest_file.read()

    for file_exe in glob.glob("*.exe"):
        remove_file(file_exe)
    wget(
        "https://storage.googleapis.com/chromium-browser-snapshots/Win/" + latest_commit + "/mini_installer.exe",
        "mini_installer.exe",
        proxies=proxies,
    )

    version_chromium = get_version_from_binary("mini_installer.exe")

    # Changing version of the package
    control.version = "%s-%s" % (version_chromium, int(control.version.split("-")[-1]) + 1)
    control.save_control_to_wapt()
    print("Changing package version to: %s in WAPT\\control" % control.version)

    latest_file.close()
    remove_file(r"latest.txt")